<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'yana',

    /*
     * Package.
     */
    'package'   => 'quote',

    /*
     * Modules.
     */
    'modules'   => ['quote'],

    'image'    => [

        'sm' => [
            'width'     => '140',
            'height'    => '140',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'md' => [
            'width'     => '370',
            'height'    => '420',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'lg' => [
            'width'     => '780',
            'height'    => '497',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '800',
            'height'    => '530',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

    ],

    
    'quote'       => [
        'model' => [
            'model'                 => \Yana\Quote\Models\Quote::class,
            'table'                 => 'quotes',
            'presenter'             => \Yana\Quote\Repositories\Presenter\QuoteItemPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at'],
            'appends'               => [],
            'fillable'              => ['user_id', 'id',  'name',  'slug',  'quote',  'image',  'status',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'quote/quote',
            'uploads'               => [],
            'casts'                 => [],
            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Yana',
            'package'   => 'Quote',
            'module'    => 'Quote',
        ],

    ],
];
